%define upstream_name    Time-Elapsed
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Converts elapsed seconds into a string
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module transforms the elapsed seconds into a human readable string. It
can be used for (for example) rendering 'uptime' values into a human
readable form. The resulting string will be an approximation. See the the
/CAVEATS manpage section for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.330.0-3.mga9
+ Revision: 1811167
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.330.0-2.mga8
+ Revision: 1521527
- Mageia 8 Mass Rebuild

* Fri Dec 28 2018 tv <tv> 0.330.0-1.mga7
+ Revision: 1345370
- update to 0.33

* Thu Sep 20 2018 umeabot <umeabot> 0.320.0-3.mga7
+ Revision: 1287120
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.320.0-2.mga7
+ Revision: 1167145
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 0.320.0-1.mga7
+ Revision: 1156106
- update to 0.32

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-7.mga6
+ Revision: 1035265
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.310.0-6.mga6
+ Revision: 941279
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 741265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 686695
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 515640
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 374351
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 308768
- imported package perl-Time-Elapsed


* Sun Oct 21 2012 cpan2dist 0.31-1mga
- initial mageia release, generated with cpan2dist
